
*,
*::after,
*::before{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    text-decoration: none;
    list-style: none;
}
.top-section{
    width: 70%;
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    margin: 0 auto;
    box-shadow: 0 4px 8px #ccc;
}
/* ====================== Header section Start ======================= */
header{
    width: 100%;
    height: 95px;
    background-color: #343a40;
    box-shadow: 0 8px 16px #343a40;
}
nav{
    width: 60%;
    margin: auto;
}
ul{
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    height: 100%;
}
.nav-items{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    width: 120px;
    height: 90px;
}
.fancy-link{
    position: relative;
    color: #dadada;
    width: 100%;
}
.fancy-link::after{
    content: "";
    position: absolute;
    left: 0;
    background-color: currentColor;
    height: 5px;
    width: 100%;
    bottom: -18px;
    border-bottom-left-radius: 10px;
    
}
.nav-items:first-child:hover{
    color: #fff;
    background-color: #b6b6b6;
}
.chrome{
    position: relative;
    color: #dadada;
    width: 100%;
}
.chrome::after{
    content: "";
    position: absolute;
    left: 0;
    background-color: #ff0000;
    height: 5px;
    width: 100%;
    bottom: -18px; 
}
.nav-items:nth-child(2):hover{
    color: #fff;
    background-color: #ff0000;
}
.apps{
    position: relative;
    color: #dadada;
    width: 100%;
}
.apps::after{
    content: "";
    position: absolute;
    left: 0;
    background-color: #ff4500;
    height: 5px;
    width: 100%;
    bottom: -11px;
}
.nav-items:nth-child(3):hover{
    color: #fff;
    background-color: #ff4500;
}
.gamepad{
    position: relative;
    color: #dadada;
    width: 100%;
}
.gamepad::after{
    content: "";
    position: absolute;
    left: 0;
    background-color: #e6bc2f;
    height: 5px;
    width: 100%;
    bottom: -18px;
}
.nav-items:nth-child(4):hover{
    color: #fff;
    background-color: #e6bc2f;
}
.play{
    position: relative;
    color: #dadada;
    width: 100%;
}
.play::after{
    content: "";
    position: absolute;
    left: 0;
    background-color: #4dad5b;
    height: 5px;
    width: 100%;
    bottom: -18px; 
}
.nav-items:nth-child(5):hover{
    color: #fff;
    background-color: #4dad5b;
}
.ancient{
    position: relative;
    color: #dadada;
    width: 100%;
}
.ancient::after{
    content: "";
    position: absolute;
    left: 0;
    background-color: #30a7d7;
    height: 5px;
    width: 100%;
    bottom: -11px;
}
.nav-items:nth-child(6):hover{
    color: #fff;
    background-color: #30a7d7;
}
.news{
    position: relative;
    color: #dadada;
    width: 100%;
}
.news::after{
    content: "";
    position: absolute;
    left: 0;
    background-color: #1b53ba;
    height: 5px;
    width: 100%;
    bottom: -18px; 
    border-bottom-right-radius: 10px;
}
.nav-items:nth-child(7):hover{
    color: #fff;
    background-color: #1b53ba;
}
.nav-items img{
    width: 60px;
    height: 50px;
}
.nav-items figcaption{
    font-size: 12px;
    text-align: center;
    width: 119px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
}
/* =========================== Main Section Start ============================ */
main{
    min-height: 100vh;
    background-color: #333;
    display: flex;
    justify-content: center;
    margin-top: 3px;
}
.container{
    width: 95%;
    /* min-height: 100vh; */
    background-color: #212529;
    position: relative;
    padding-bottom: 100px;
}
.sidebar{
    border: 2px solid #202020;
    position: fixed;
    top: 170;
    left: 32;
    width: 60px;
    height: 190px;
    border-top-right-radius: 20px;
    border-bottom-right-radius: 20px;
}
.side-log{
    background-color: #4dad5b;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    height: 60%;
    border-top-right-radius: 20px;
}
.side-log img
{
    width: 40px;
}
.side-log a{
    color: #fff;
    font-size: 10px;
}
.search-line{
    background-color: #333;
    height: 40%;
    border-bottom-right-radius: 15px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.search-line:hover{
    background-color: #30a7d7;
}
.layout{
    width: 70%;
    margin: auto;
}
.layout h1{
    padding: 40px 10px;
    color: #ccc;
    font-size: 30px;
}
.grid{
    display: grid;
    grid-gap: 20px;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-auto-rows: 250px;
    grid-auto-flow: dense;
    padding-bottom: 40px;
}
.grid-system{
    border-radius: 20px;
    padding-bottom: 50px;
}
.grid-system:hover{
    animation: animate__swing; 
    animation-duration: 2s;
}
.grid-system:nth-child(1){
    grid-column: span 2;
    grid-row: span 2;
}
.grid .grid-system img{
    width: 100%;
    border-top-right-radius: 20px;
    border-top-left-radius: 20px;
    object-fit: cover;
    height: 80%;
}
.grid .grid-system figcaption{
    padding: 0px 10px;
    border-bottom-right-radius: 20px;
    border-bottom-left-radius: 20px;
}
.grid .grid-system:nth-child(1){
    background-color: #b89355;
    border-bottom-right-radius: 20px;
    border-bottom-left-radius: 20px;
    padding-bottom: 20px;
    height: 520px;
}
.grid .grid-system:nth-child(2){
    background-color: #ff0000;
    height: 310px;
}
.grid .grid-system:nth-child(3){
    background-color: #196619;
    margin-top: 50px;
    height: 280px;
}
.grid .grid-system:nth-child(4){
    height: 300px;
    background-color: #2f18ff;
}
.grid .grid-system:nth-child(5){
    height: 300px;
    background-color: #1897ff;
}
.grid .grid-system:nth-child(6){
    margin-top: 70px;
    height: 170px;
    background-color: #63770c;
}
figcaption h3{
    color: #fff;
    padding-block: 20px;
}
figcaption p{
    color: #5f5f5f;
}
.for-bottom{
    background-color: #343a40;
    position: absolute;
    bottom: 0;
    left: 20%;
    padding: 10px 15px;
    border-top-right-radius: 15px;
    border-top-left-radius: 15px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #ccc;
}
.for-bottom img{
    margin-right: 10px;
}
.scroll{
    min-height: 70vh;
    border-top: 2px solid #202020;
    width: 100%;
    background-color: #333;
}
.scrollbar{
    display: grid;
    grid-auto-columns: 40%;
    grid-auto-flow: column;
    overflow-x: auto;
    grid-gap: 20px;
    width: 95%;
    margin: 0 auto;
    background-color: #212529;
    padding-inline: 10px;
    padding-block: 20px;
}
.scroll-sec{
    background-color: #343a40;
    padding: 10px 8px;
    border-radius: 8px;
    transition: all 0.3s ease-in-out;
    cursor: pointer;
}
.scroll-sec:hover{
    transform: scale(.9);
}
.scroll-sec figcaption{
    color: #ccc;
    padding-top: 8px;
}
.scrollbar img{
    width: 100%;
}
.wrapper{
    width: 100%;
    min-height: 50vh;
    background-color: #212529;
}
.container2{
    width: 70%;
    margin: 20px auto;
    columns: 3;
    column-gap: 20px;
    background-color: #212529;
    padding-block: 40px;
    padding-inline: 10px;
}
.container2 .box{
    width: 100%;
    margin-bottom: 10px;
    background-color: #343a40;
    padding: 15px;
    border-radius: 12px;
    break-inside: avoid;
    transition: all 0.3s ease-in;
}
.container2 .box:hover{
    transform: scale(1.03);
}
.container2 .box img{
    max-width: 100%;
    border-radius: 15px;
}
.box h2{
    color: #fff;
    padding: 10px 8px;
}
.box p{
    color: #fff;
    padding: 10px 8px;
}
.footer{
    min-height: 80vh;
    width: 100%;
    background: #000000;  /* fallback for old browsers */
    background: -webkit-linear-gradient(to right, #434343, #000000);  /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to right, #434343, #000000); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */   
    padding-bottom: 20px;
}
.footer h2{
    color: #fff;
    font-size: 25px;
}
.footer-top{
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr;
    width: 70%;
    margin: auto;
    grid-gap: 20px;
    column-gap: 20px;
    height: 250px;
    padding-block: 70px;
    color: #fff;
}
.form{
    width: 100%;
}
.form .email{ 
    width: 100%;
    height: 45px;
    border-radius: 5px;
    padding-inline: 10px;
    outline: none;
    border: 2px solid #ff0000;
    margin-top: 10px;
}
.form .fifty{
    margin-top: 10px;
    width: 50%;
    height: 45px;
    border-radius: 5px;
    padding-inline: 10px;
    outline: none;
}
.form .fifty2{
    width: 48%;
    margin-top: 10px;
    height: 45px;
    border-radius: 5px;
    padding-inline: 10px;
}
.form input{
    font-size: 15px;
    font-weight: 800;
}
.form button{
    width: 140px;
    height: 50px;
    font-size: 18px;
    font-weight: 800;
    background-color: #5f5f5f;
    color: #fff;
    border: none;
    outline: none;
    border-radius: 5px;
    margin-top: 10px;
    cursor: no-drop;
}
.register a{
    font-weight: 600;
    font-size: 15px;
    color: #fff;
    text-decoration: underline;
}
.register p{
    margin-top: 10px;
    font-size: 18px;
}
.register input{
    margin-right: 10px;
}
.register .Privacy{
    margin-left: 28px;
}
.footer-bottom{
    width: 70%;
    margin: auto;
    display: grid;
    grid-template-columns: repeat(3,1fr);
    grid-gap: 20px;
    min-height: 400px;
    margin-top: 70px;
}
.left-footer{
    border-right: 2px solid #000000;
}
.left-footer h2{
    font-size: 23px;
    color: #fff;
    text-shadow: 2px 4px 8px rgba(0, 0, 0, 0.9);
}
.left-footer .visited{
    display: flex;
    flex-direction: column;
    align-items: start;
}
.left-footer .visited li a{
    color: #fff;
}
.left-footer .visited li a:hover{
    text-decoration: underline;
}
.middle-footer{
    border-right: 2px solid #000000;
}
.social-link{
    display: flex;
    align-items: start;
    justify-content: space-evenly;
}
.social-link img{
    width: 30px;
    cursor: pointer;
    transition: all .3s ease-in-out;
}
.social-link img:hover{
    transform: scale(1.2);
}
.right-footer{
    display: flex;
    justify-content: start;
    align-items: start;
    flex-direction: column;
    gap: 30px;
}
.right-footer .right-link{
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: start;
}
.right-footer .right-link li{
    margin-top: 10px;
}
.right-footer .right-link li a{
    color: #fff;
    font-size: 12px;
}
.right-footer .right-link p{
    margin-top: 10px;
    font-size: 10px;
    color: #fff;
    width: 200px;
}
.right-footer .right-link li a:hover{
    text-decoration: underline;
}
@media (max-width: 1200px){
    .container2{
        width: calc( 100% - 40px);
        columns: 2;
    }
}
@media (max-width: 1024px){
    .footer-top{
        grid-template-columns: 1fr;
    }
    .footer-bottom{
        grid-gap: 40px;
        grid-template-columns: 1fr;
        margin-top: 220px;
    }
    .left-footer{
        border-right: 0;
    }
    .middle-footer{
        border-right: 0;
    }
}
@media (max-width: 768px){
    .container2{
        columns: 1;
        padding-inline: 20px;
    }
}